## SSEMATCH documentation

## CONTENTS

1.0 SUMMARY
2.0 INPUTS & OUTPUTS
3.0 INPUT FILE FORMAT
4.0 OUTPUT FILE FORMAT
5.0 DATA FILES
6.0 USAGE
7.0 KNOWN BUGS & WARNINGS
8.0 NOTES
9.0 DESCRIPTION
10.0 ALGORITHM
11.0 RELATED APPLICATIONS
12.0 DIAGNOSTIC ERROR MESSAGES
13.0 AUTHORS
14.0 REFERENCES

## 1.0 SUMMARY

Searches a DCF file (domain classification file) for secondary structure matches

## 2.0 INPUTS & OUTPUTS

Reads a DCF file (domain classification file) and a file of secondary structure (query) and writes DCF files containing the top-scoring matches (domains) between the query and domains from the DCF file. The secondary strructure file contains a (1) secondary structure element map (a string where each character represents a secondary structure element) and (2) a secondary structure string (each character represents an amino acid residue) for a given query. Matches are found by global alignment of (1) element maps and (2) strings (individual residues) to generate the two DCF (output) files.
The DCF input file must contain domain secondary structure information, which can be added by using DOMAINSSE.
The names of the secondary structure file, DCF files (input and output) and number of top-scoring matches to report are specified by the user. A log file is also written.

## 3.0 INPUT FILE FORMAT

Domain classification file
The format of the DCF file is described in the SCOPPARSE documentation.
The DCF input file must contain domain secondary structure information, which can be added by using DOMAINSSE.
Secondary structure file
The format of the secondary structure file (Figure 1) is identical to the SS and SE records from a DCF file (see DOMAINSSE documentation.).
The records are as follows:

- (1) SS - Secondary structure assignment (per residue). A simplified 3-state assignment: H (helix), E (extended, beta strand) and L (loop, open coil) should be used.
- (2) SE - Secondary structure element assignment (per secondary structure element). The same 3-state assignment as for the SS record should be used.

Note that if the file contains secondary structure characters other than H, E and L they will be converted before they are used by SSEMATCH (see NOTES below).

### Input files for usage example

### File: sse.in

    SE   HEEE
    SS   SEQUENCE    43 AA;   5411 MW;  61C5458D CRC32;
         LLLLLLHHHH EEEEEEEEEE EEEEEEEEEE EELLLEEEEE LLL

### File: all_e.scop

    ID   D1CS4A_
    XX
    EN   1CS4
    XX
    TY   SCOP
    XX
    SI   53931 CL; 54861 FO; 55073 SF; 55074 FA; 55077 DO; 55078 SO; 39418 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Ferredoxin-like
    XX
    SF   Adenylyl and guanylyl cyclase catalytic domain
    XX
    FA   Adenylyl and guanylyl cyclase catalytic domain
    XX
    DO   Adenylyl cyclase VC1, domain C1a
    XX
    OS   Dog (Canis familiaris)
    XX
    SE   EEEEEEE
    XX
    SS   SEQUENCE   189 AA;  24290 MW;  D1929097 CRC32;
         LLLLLLLEEE EEEEEEEEEE ELHHHHHHHL LHHHHHHHHH HHHHHHHHHH HHHHLLEEEE
         EELLEEEEEE LLLLLLLHHH HHHHHHHHHH HHHHHHHHHH HHLLLLEEEE EEEEEEEEEL
         LLLLLLLLEE EHHHHHHHHH HHHHLLLLLE EEEHHHHHLL LLLLLEEELH HHHHHHHHHH
         HLLLEEEEL
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   A CHAIN; . START; . END;
    //
    ID   D1II7A_
    XX
    EN   1II7
    XX
    TY   SCOP
    XX
    SI   53931 CL; 56299 FO; 56300 SF; 64427 FA; 64428 DO; 64429 SO; 62415 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Metallo-dependent phosphatases
    XX
    SF   Metallo-dependent phosphatases
    XX
    FA   DNA double-strand break repair nuclease
    XX
    DO   Mre11
    XX
    OS   Archaeon Pyrococcus furiosus
    XX
    SE   HEEE
    XX
    SS   SEQUENCE    43 AA;   5411 MW;  61C5458D CRC32;
         LLLLLLHHHH EEEEEEEEEE EEEEEEEEEE EELLLEEEEE LLL
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   A CHAIN; . START; . END;
    //

## 4.0 OUTPUT FILE FORMAT

The format of the DCF file is described in the SCOPPARSE documentation. SSEMATCH adds an extra comment line at the top containing the score for the appropriate alignment (residue or element).

### Output files for usage example

### File: res.dcf

    XX   ALIGNMENT SCORE 100.000
    XX
    ID   D1II7A_
    XX
    EN   1II7
    XX
    TY   SCOP
    XX
    SI   53931 CL; 56299 FO; 56300 SF; 64427 FA; 64428 DO; 64429 SO; 62415 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Metallo-dependent phosphatases
    XX
    SF   Metallo-dependent phosphatases
    XX
    FA   DNA double-strand break repair nuclease
    XX
    DO   Mre11
    XX
    OS   Archaeon Pyrococcus furiosus
    XX
    SE   HEEE
    XX
    SS   SEQUENCE    43 AA;   5411 MW;  61C5458D CRC32;
         LLLLLLHHHH EEEEEEEEEE EEEEEEEEEE EELLLEEEEE LLL
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   A CHAIN; . START; . END;
    //

### File: elm.dcf

    XX   ALIGNMENT SCORE 100.000
    XX
    ID   D1CS4A_
    XX
    EN   1CS4
    XX
    TY   SCOP
    XX
    SI   53931 CL; 54861 FO; 55073 SF; 55074 FA; 55077 DO; 55078 SO; 39418 DD;
    XX
    CL   Alpha and beta proteins (a+b)
    XX
    FO   Ferredoxin-like
    XX
    SF   Adenylyl and guanylyl cyclase catalytic domain
    XX
    FA   Adenylyl and guanylyl cyclase catalytic domain
    XX
    DO   Adenylyl cyclase VC1, domain C1a
    XX
    OS   Dog (Canis familiaris)
    XX
    SE   EEEEEEE
    XX
    SS   SEQUENCE   189 AA;  24290 MW;  D1929097 CRC32;
         LLLLLLLEEE EEEEEEEEEE ELHHHHHHHL LHHHHHHHHH HHHHHHHHHH HHHHLLEEEE
         EELLEEEEEE LLLLLLLHHH HHHHHHHHHH HHHHHHHHHH HHLLLLEEEE EEEEEEEEEL
         LLLLLLLLEE EHHHHHHHHH HHHHLLLLLE EEEHHHHHLL LLLLLEEELH HHHHHHHHHH
         HLLLEEEEL
    XX
    NC   1
    XX
    CN   [1]
    XX
    CH   A CHAIN; . START; . END;
    //

### File: SSEMATCH.log

## 5.0 DATA FILES

SSEMATCH requires a secondary structure substitution table such as SSSUB distributed with EMBOSS. An example (taken from Wallqvist et al) is shown in Figure 3.
Figure 3 Excerpt from a DCF (output) file

        H   E   C   *
    H   2 -15  -4  -7
    E -15   4  -4  -7
    C  -4  -4   2  -7
    *  -7  -7  -7   1

## 6.0 USAGE

### 6.1 COMMAND LINE ARGUMENTS

       Standard (Mandatory) qualifiers:
      [-ssinfile]          infile     This option specifies the name of the file
                                      of secondary structure (input).
      [-dcfinfile]         infile     This option specifies the name of the DCF
                                      file (domain classification file) (input). A
                                      'domain classification file' contains
                                      classification and other data for domains
                                      from SCOP or CATH, in DCF format
                                      (EMBL-like). The files are generated by
                                      using SCOPPARSE and CATHPARSE. Domain
                                      sequence information can be added to the
                                      file by using DOMAINSEQS.
       -maxhits            integer    This option specifies the number of
                                      top-scoring matches to report.
      [-outssfile]         outfile    This option specifies the name of the file
                                      containing top-scoring domains for
                                      residue-based alinnment (output).A 'domain
                                      classification file' contains classification
                                      and other data for domains from SCOP or
                                      CATH, in DCF format (EMBL-like).
      [-outsefile]         outfile    This option specifies the name of the file
                                      containing top-scoring domains for secondary
                                      structure element-based alinnment (output).
                                      A 'domain classification file' contains
                                      classification and other data for domains
                                      from SCOP or CATH, in DCF format
                                      (EMBL-like).
       -logfile            outfile    This option specifies the name of the
                                      ssematch log file (output).

       Additional (Optional) qualifiers:
       -datafile           matrixf    This option specifies the secondary
                                      structure substitution matrix.
       -gapopenr           float      This options specifies the gap insertion
                                      penalty for reside-based alignment. The gap
                                      insertion penalty is the score taken away
                                      when a gap is created. The best value
                                      depends on the choice of comparison matrix.
                                      The default value assumes you are using the
                                      EBLOSUM62 matrix for protein sequences, and
                                      the EDNAFULL matrix for nucleotide
                                      sequences.
       -gapextendr         float      This options specifies the gap extension
                                      penalty for residue-based alignment. The gap
                                      extension, penalty is added to the standard
                                      gap penalty for each base or residue in the
                                      gap. This is how long gaps are penalized.
                                      Usually you will expect a few long gaps
                                      rather than many short gaps, so the gap
                                      extension penalty should be lower than the
                                      gap penalty. An exception is where one or
                                      both sequences are single reads with
                                      possible sequencing errors in which case you
                                      would expect many single base gaps. You can
                                      get this result by setting the gap open
                                      penalty to zero (or very low) and using the
                                      gap extension penalty to control gap
                                      scoring.
       -gapopene           float      This options specifies the gap insertion
                                      penalty for element-based alignment. The gap
                                      insertion penalty is the score taken away
                                      when a gap is created. The best value
                                      depends on the choice of comparison matrix.
                                      The default value assumes you are using the
                                      EBLOSUM62 matrix for protein sequences, and
                                      the EDNAFULL matrix for nucleotide
                                      sequences.
       -gapextende         float      This options specifies the gap extension
                                      penalty for secondary structure
                                      element-based alignment. The gap extension,
                                      penalty is added to the standard gap penalty
                                      for each base or residue in the gap. This
                                      is how long gaps are penalized. Usually you
                                      will expect a few long gaps rather than many
                                      short gaps, so the gap extension penalty
                                      should be lower than the gap penalty. An
                                      exception is where one or both sequences are
                                      single reads with possible sequencing
                                      errors in which case you would expect many
                                      single base gaps. You can get this result by
                                      setting the gap open penalty to zero (or
                                      very low) and using the gap extension
                                      penalty to control gap scoring.

       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-outssfile" associated qualifiers
       -odirectory3        string     Output directory

       "-outsefile" associated qualifiers
       -odirectory4        string     Output directory

       "-logfile" associated qualifiers
       -odirectory         string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-ssinfile] (Parameter 1) | This option specifies the name of the file of secondary structure (input). | Input file | Required
[-dcfinfile] (Parameter 2) | This option specifies the name of the DCF file (domain classification file) (input). A 'domain classification file' contains classification and other data for domains from SCOP or CATH, in DCF format (EMBL-like). The files are generated by using SCOPPARSE and CATHPARSE. Domain sequence information can be added to the file by using DOMAINSEQS. | Input file | Required
-maxhits | This option specifies the number of top-scoring matches to report. | Any integer value | 5
[-outssfile] (Parameter 3) | This option specifies the name of the file containing top-scoring domains for residue-based alinnment (output).A 'domain classification file' contains classification and other data for domains from SCOP or CATH, in DCF format (EMBL-like). | Output file | <sequence>.ssematch
[-outsefile] (Parameter 4) | This option specifies the name of the file containing top-scoring domains for secondary structure element-based alinnment (output). A 'domain classification file' contains classification and other data for domains from SCOP or CATH, in DCF format (EMBL-like). | Output file |
-logfile | This option specifies the name of the ssematch log file (output). | Output file | SSEMATCH.log
Additional (Optional) qualifiers | Allowed values | Default
-datafile | This option specifies the secondary structure substitution matrix. | Comparison matrix file in EMBOSS data path | SSSUB

-gapopenr

This options specifies the gap insertion penalty for reside-based alignment. The gap insertion penalty is the score taken away when a gap is created. The best value depends on the choice of comparison matrix. The default value assumes you are using the EBLOSUM62 matrix for protein sequences, and the EDNAFULL matrix for nucleotide sequences.

Floating point number from 1.0 to 100.0

10.0 for any sequence

-gapextendr

This options specifies the gap extension penalty for residue-based alignment. The gap extension, penalty is added to the standard gap penalty for each base or residue in the gap. This is how long gaps are penalized. Usually you will expect a few long gaps rather than many short gaps, so the gap extension penalty should be lower than the gap penalty. An exception is where one or both sequences are single reads with possible sequencing errors in which case you would expect many single base gaps. You can get this result by setting the gap open penalty to zero (or very low) and using the gap extension penalty to control gap scoring.

Floating point number from 0.0 to 10.0

0.5 for any sequence

-gapopene

This options specifies the gap insertion penalty for element-based alignment. The gap insertion penalty is the score taken away when a gap is created. The best value depends on the choice of comparison matrix. The default value assumes you are using the EBLOSUM62 matrix for protein sequences, and the EDNAFULL matrix for nucleotide sequences.

Floating point number from 1.0 to 100.0

10.0 for any sequence

-gapextende

This options specifies the gap extension penalty for secondary structure element-based alignment. The gap extension, penalty is added to the standard gap penalty for each base or residue in the gap. This is how long gaps are penalized. Usually you will expect a few long gaps rather than many short gaps, so the gap extension penalty should be lower than the gap penalty. An exception is where one or both sequences are single reads with possible sequencing errors in which case you would expect many single base gaps. You can get this result by setting the gap open penalty to zero (or very low) and using the gap extension penalty to control gap scoring.

Floating point number from 0.0 to 10.0

0.5 for any sequence

Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

### 6.2 EXAMPLE SESSION

An example of interactive use of SSEMATCH is shown below. Here is a sample session with ssematch

    % ssematch
    Searches a DCF file (domain classification file) for secondary structure
    matches.
    Name of file of secondary structure (input).: sse.in
    Name of DCF file (domain classification file) (input).: all_e.scop
    Number of top-scoring matches to report. [5]: 1
    Name of DCF file (domain classification file) containing top-scoring domains for residue-based alinnment (output). [sse.ssematch]: res.dcf
    Name of DCF file (domain classification file) containing top-scoring domains for secondary structure element-based alinnment (output). [sse.out2]: elm.dcf
    Name ssematch log file (output) [SSEMATCH.log]:

Go to the input files for this example
Go to the output files for this example

Two strings (for residues and elements) of secondary structure were read from sse.in and scanned against all_e.scop. The single highest scoring match for each search was written to the output files: res.dcf for residue-based alignment and elm.dcf for element-based alignment. A log file called SSEMATCH.log was written.

## 7.0 KNOWN BUGS & WARNINGS

The SSEMATCH implementation of secondary structure mapping is the most basic and more powerful algorithms are available. Input file
The DCF input file must contain domain secondary structure information, which can be added by using DOMAINSSE.

## 8.0 NOTES

Conversion of secondary structure file
SSEMATCH currently only works with 3-state secondary structure assignments. The following conversions are applied to the characters in the secondary structure input file:

- Bridge B/b, turn T, coil C are changed to 'L'.
- Helices 'H', 'G', 'I' are changed to / remain 'H'.
- Extended conformation ('E') remains 'E'.

### 8.1 GLOSSARY OF FILE TYPES

FILE TYPE | FORMAT | DESCRIPTION | CREATED BY | SEE ALSO
Domain classification file (for SCOP) | DCF format (EMBL-like). | Classification and other data for domains from SCOP. | SCOPPARSE | Domain sequence information can be added to the file by using DOMAINSEQS.
Domain classification file (for CATH) | DCF format (EMBL-like). | Classification and other data for domains from CATH. | CATHPARSE | Domain sequence information can be added to the file by using DOMAINSEQS.

None

## 9.0 DESCRIPTION

Secondary structure element mapping is a coarse but powerful approach for identifying similarities between protein sequences. SSEMATCH implements a very basic approach whereby a query sequence of secondary structure (of elements or residues) is scanned against a library of known secondary structures for domains in SCOP or CATH, as held in a DCF file (domain classification file).

## 10.0 ALGORITHM

Standard N&W-type global alignment.

## 11.0 RELATED APPLICATIONS

## See also

Program name | Description
--- | ---
aaindexextract | Extract data from AAINDEX
allversusall | Does an all-versus-all global alignment for each set of sequences in an input directory and writes files of sequence similarity values
cathparse | Reads raw CATH classification files and writes DCF file (domain classification file)
cutgextract | Extract data from CUTG
domainer | Reads CCF files (clean coordinate files) for proteins and writes CCF files for domains, taken from a DCF file (domain classification file)
domainnr | Removes redundant domains from a DCF file (domain classification file). The file must contain domain sequence information, which can be added by using DOMAINSEQS
domainseqs | Adds sequence records to a DCF file (domain classification file)
domainsse | Adds secondary structure records to a DCF file (domain classification file)
hetparse | Converts raw dictionary of heterogen groups to a file in EMBL-like format
pdbparse | Parses PDB files and writes CCF files (clean coordinate files) for proteins
pdbplus | Add residue solvent accessibility and secondary structure data to a CCF file (clean coordinate file) for a protein or domain
pdbtosp | Convert raw swissprot:PDB equivalence file to EMBL-like format
printsextract | Extract data from PRINTS
prosextract | Builds the PROSITE motif database for patmatmotifs to search
rebaseextract | Extract data from REBASE
scopparse | Reads raw SCOP classification files and writes a DCF file (domain classification file)
seqnr | Removes redundancy from DHF files (domain hits files) or other files of sequences
sites | Reads CCF files (clean coordinate files) and writes CON files (contact files) of residue-ligand contact data for domains in a DCF file (domain classification file)
tfextract | Extract data from TRANSFAC

## 12.0 DIAGNOSTIC ERROR MESSAGES

None.

## 13.0 AUTHORS

Amanda O'Reilly (aoreilly@rfcgr.mrc.ac.uk)
Jon Ison (jison@rfcgr.mrc.ac.uk)
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

## 14.0 REFERENCES

Please cite the authors and EMBOSS.
Rice P, Bleasby A.J. 2000. EMBOSS - The European Molecular Biology Open Software Suite. Trends in Genetics, 15:276-278. See also http://www.uk.embnet.org/Software/EMBOSS

### 14.1 Other useful references

Wallqvist A, Fukunishi Y, Murphy LR, Fadel A, Levy RM.
Iterative sequence/secondary structure search for protein homologs: comparison with amino acid sequence alignments and application to fold recognition in genome databases.
Bioinformatics. 2000 Nov;16(11):988-1002.